crider = require( 'crider' )

function love.load()
	lineY = 300

	love.graphics.setLineWidth(1)
	love.graphics.setLineStyle("rough")
	-- parameters: x, y, image name, #frames, sprite width, sprite y offset
	frog1	= crider.new( 100, 100, 'frog.png', 8, 16, 0 )
	spider1	= crider.new( 200, 120, 'spider.png', 6, 32, 64 )
	love.graphics.setBackgroundColor( 255, 55, 255 )
end

function love.update(dt)
	frog1:update(dt)
	spider1:update(dt)
end

function love.draw()
	love.graphics.line( 0, lineY, 800, lineY )
	frog1:draw()
	spider1:draw()
end

function love.keypressed( key )
	if key == 'escape'	then love.event.quit() 	end
end
